classification
Title: Improve cross-references in the data model documentation
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: AlexWaygood, docs@python, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2021-11-19 02:01 by AlexWaygood, last changed 2021-12-13 13:05 by AlexWaygood. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 29633 merged AlexWaygood, 2021-11-19 02:04
PR 30077 merged AlexWaygood, 2021-12-12 19:36
PR 30081 merged AlexWaygood, 2021-12-13 09:38
Messages (5)
msg406569 - (view) Author: Alex Waygood (AlexWaygood) * (Python triager) Date: 2021-11-19 02:01
The documentation for the data model has a lot of cross-references to other parts of the data model. However, often these cross-references do not have proper hyperlinks online, as :meth:`__iter__` is used (for example), instead of :meth:`~object.__iter__`. The documentation would be much more readable and navigable if this were fixed.
msg407741 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-12-05 20:49
New changeset c0521fe49fd75e794a38a216813658ab40185834 by Alex Waygood in branch 'main':
bpo-45840: Improve cross-references in the data model documentation (GH-29633)
https://github.com/python/cpython/commit/c0521fe49fd75e794a38a216813658ab40185834
msg408429 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-12-13 09:20
New changeset 7da90251ae80f5faac938b659675ff159d565537 by Alex Waygood in branch '3.10':
bpo-45840: Improve cross-references in the data model documentation (GH-29633) (GH-30077)
https://github.com/python/cpython/commit/7da90251ae80f5faac938b659675ff159d565537
msg408448 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-12-13 12:19
New changeset 2029c58097e49b5aedc152ab65958a9db35ebd1e by Alex Waygood in branch '3.9':
 [3.9] bpo-45840: Improve cross-references in the data model documentation (GH-29633) (GH-30081)
https://github.com/python/cpython/commit/2029c58097e49b5aedc152ab65958a9db35ebd1e
msg408450 - (view) Author: Alex Waygood (AlexWaygood) * (Python triager) Date: 2021-12-13 13:05
Thanks, Serhiy!
History
Date User Action Args
2021-12-13 13:05:16AlexWaygoodsetmessages: + msg408450
2021-12-13 12:19:38serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-12-13 12:19:12serhiy.storchakasetmessages: + msg408448
2021-12-13 09:38:56AlexWaygoodsetpull_requests: + pull_request28302
2021-12-13 09:20:26serhiy.storchakasetmessages: + msg408429
2021-12-12 19:36:12AlexWaygoodsetstage: backport needed -> patch review
pull_requests: + pull_request28298
2021-12-08 13:47:39AlexWaygoodsetstage: patch review -> backport needed
2021-12-05 20:49:44serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg407741
2021-11-19 02:04:44AlexWaygoodsetkeywords: + patch
stage: patch review
pull_requests: + pull_request27865
2021-11-19 02:01:35AlexWaygoodsettype: behavior
2021-11-19 02:01:26AlexWaygoodcreate